# OpenSSHKnownHosts.Entry (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.verification
Class OpenSSHKnownHosts.Entry

    java.lang.Object
      net.schmizz.sshj.transport.verification.OpenSSHKnownHosts.Entry

Direct Known Subclasses:
  OpenSSHKnownHosts.HashedEntry, OpenSSHKnownHosts.SimpleEntry

Enclosing class:
  OpenSSHKnownHosts

    public abstract static class OpenSSHKnownHosts.Entry

extends Object

Constructor Summary
`OpenSSHKnownHosts.Entry()`

Method Summary
`abstract boolean` `appliesTo(String host)`
`protected abstract String` `getHostPart()`
`PublicKey` `getKey()`
`protected String` `getKeyString()`
`String` `getLine()`
`KeyType` `getType()`
`protected void` `init(PublicKey key)`
`protected void` `init(String typeString, String keyString)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenSSHKnownHosts.Entry

    public OpenSSHKnownHosts.Entry()

Method Detail

### init

    protected void init(PublicKey key)
                 throws SSHException

  Throws:
    `SSHException`

### init

    protected void init(String typeString,
                        String keyString)
                 throws SSHException

  Throws:
    `SSHException`

### getType

    public KeyType getType()

### getKey

    public PublicKey getKey()
                     throws IOException

  Throws:
    `IOException`

### getKeyString

    protected String getKeyString()

### getLine

    public String getLine()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getHostPart

    protected abstract String getHostPart()

### appliesTo

    public abstract boolean appliesTo(String host)
                               throws IOException

  Throws:
    `IOException`

Copyright © 2009-2011. All Rights Reserved.